> ## Documentation Index
> Fetch the complete documentation index at: https://docs.embedads.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Advertiser

> Create a new Advertiser. You can also do this manually on the Reseller dashboard's Advertisers page in the admin portal.

### Path Parameters

<ParamField path="platformID" type="string" required={true} placeholder="Sample Platform">
  The ID of the Reseller.
</ParamField>

### Body Parameters

<ParamField body="name" type="string" required>
  The name of the advertiser.
</ParamField>

<ParamField body="website_url" type="string" required>
  The website URL of the advertiser.
</ParamField>

<ParamField body="custom_event_type_key" type="string" required>
  The custom event type key of the advertiser.  Should be one of the following:

  * `PURCHASE`
  * `LEAD`
  * `CONTENT_VIEW`
  * `COMPLETE_REGISTRATION`
  * `ADD_TO_CART`
  * `PHONE_CALL`
</ParamField>

<ParamField body="phone_number" type="string">
  The phone number of the advertiser.
</ParamField>

<ParamField body="special_category" type="string">
  The special category of the advertiser.  Should be one of the following:

  * `HOUSING`
  * `EMPLOYMENT`
  * `FINANCIAL_PRODUCTS_SERVICES`
</ParamField>

### Response

<ResponseField name="id" type="number">
  Id of the newly created advertiser.
</ResponseField>

<ResponseExample>
  ```json 201 theme={null}
  {
      "id": 123
  }
  ```

  ```json 400 theme={null}
  {
      "error": "Missing or invalid fields."
  }
  ```

  ```json 500  theme={null}
  {
      "error": "Internal Server Error"
  }
  ```
</ResponseExample>
